# Podręcznik użytkownika KDE

Ben
Burton
bab@debian.org
25 maja 2005
K Desktop Environment
indiserver
1

# `indiserver`

Serwer INDI do sterowania teleskopem przez KStars

    indiserver -p port -r próby -vv sterownik

## Opis

&kstars; umożliwia konfigurację i kontrolę instrumentów astronomicznych, takich jak teleskopy czy lunety poprzez protokół INDI. `indiserver` jest serwerem, który znajduje się pomiędzy interfejsem użytkownika, czyli &kstars;, a niskopoziomowymi sterownikami urządzeń.

Serwer INDI jest serwerem sieciowym, do którego mogą się podłączać zarówno lokalni, jak i zdalni klienci, aby sterować instrumentamiastronomicznymi. Serwer INDI musi działać na komputerze, który jest fizycznie podłączony do instrumentów astronomicznych.

Zazwyczaj nie ma potrzeby uruchamiać serwera INDI bezpośrednio. Za pomocą menedżera urządzeń &kstars;, możesz skonfigurować instrumenty astronomiczne oraz uruchamiać i zatrzymywać serwer INDI

O wiele bardziej szczegółowe informacje można znaleźć w podręczniku &kstars;.

&kstars; to graficzne planetarium dla &kde;, wchodzi w skład modułu edukacyjnego &kde;.

## Opcje

`-p port`

  Zmiana domyślnego portu TCP/IP . Domyślny to 7624.

`-r próby`

  Maksimum prób do restartu w przypadku problemu. Domyślnie 2.

`-vv`

  Zapisywanie większej liczby komunikatów na standardowe wyjście błędów.

`sterownik`

  Nazwy sterowników INDI przeznaczonych do uruchomienia.

  Obecnie dostępne to:

  - `celestrongps` (Celestron GPS)

  - `fliccd` (Finger Lakes Instruments CCD)

  - `lx200_16` (LX200 16")

  - `lx200autostar` (LX200 Autostar)

  - `lx200classic` (LX200 Classic)

  - `lx200generic` (LX200 Generic)

  - `lx200gps` (LX200 GPS)

  - `temma` (Temma Takahashi)

  - `v4ldriver` (Video4Linux Generic)

  - `v4lphilips` (Philips Webcam)

## Zobacz także

celestrongps(1), fliccd(1), lx200_16(1), lx200autostar(1), lx200classic(1), lx200generic(1), lx200gps(1), kstars(1), temma(1), v4ldriver(1), v4lphilips(1)

Bardziej szczegółowa dokumentacja jest dostępna pod adresem help:/kstars (wklej ten adres jako URL do programu &konqueror;, albo uruchom ``khelpcenter``help:/kstars``).

## Przykłady

Aby uruchomić serwer INDI z działającym sterownikiem LX200 GPS, i nasłuchiwać połączeń na porcie 8000:

    indiserver -p 8000 lx200gps

## Autorzy

Ta strona podręcznika została oparta na stronie napisanej dla Debiana przez Bena Burtona bab@debian.org